Libosmium: osmium::experimental::FlexReader< TLocationHandler > Class Template Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::experimental::FlexReader< TLocationHandler > Class Template Reference

`#include <flex_reader.hpp>`

Collaboration diagram for osmium::experimental::FlexReader< TLocationHandler >:
[legend]

## Public Member Functions
| FlexReader (const osmium::io::File &file, TLocationHandler &location_handler, osmium::osm_entity_bits::type entities=osmium::osm_entity_bits::nwr)
| FlexReader (const std::string &filename, TLocationHandler &location_handler, osmium::osm_entity_bits::type entities=osmium::osm_entity_bits::nwr)
| FlexReader (const char *filename, TLocationHandler &location_handler, osmium::osm_entity_bits::type entities=osmium::osm_entity_bits::nwr)
osmium::memory::Buffer | read ()
osmium::io::Header | header ()
void | close ()
bool | eof () const
const osmium::area::MultipolygonCollector< osmium::area::Assembler > & | collector () const

## Private Attributes
bool | m_with_areas
osmium::osm_entity_bits::type | m_entities
TLocationHandler & | m_location_handler
osmium::io::Reader | m_reader
osmium::area::Assembler::config_type | m_assembler_config
osmium::area::MultipolygonCollector< osmium::area::Assembler > | m_collector

## Constructor & Destructor Documentation

## ◆ FlexReader() [1/3]

template<typename TLocationHandler>

osmium::experimental::FlexReader< TLocationHandler >::FlexReader | ( | const osmium::io::File & | file,
|  | TLocationHandler & | location_handler,
|  | osmium::osm_entity_bits::type | entities = osmium::osm_entity_bits::nwr )
| inlineexplicit

## ◆ FlexReader() [2/3]

template<typename TLocationHandler>

osmium::experimental::FlexReader< TLocationHandler >::FlexReader | ( | const std::string & | filename,
|  | TLocationHandler & | location_handler,
|  | osmium::osm_entity_bits::type | entities = osmium::osm_entity_bits::nwr )
| inlineexplicit

## ◆ FlexReader() [3/3]

template<typename TLocationHandler>

osmium::experimental::FlexReader< TLocationHandler >::FlexReader | ( | const char * | filename,
|  | TLocationHandler & | location_handler,
|  | osmium::osm_entity_bits::type | entities = osmium::osm_entity_bits::nwr )
| inlineexplicit

## Member Function Documentation

## ◆ close()

template<typename TLocationHandler>

void osmium::experimental::FlexReader< TLocationHandler >::close | ( |  | ) |
| inline

## ◆ collector()

template<typename TLocationHandler>

const osmium::area::MultipolygonCollector< osmium::area::Assembler > & osmium::experimental::FlexReader< TLocationHandler >::collector | ( |  | ) | const
| inline

## ◆ eof()

template<typename TLocationHandler>

bool osmium::experimental::FlexReader< TLocationHandler >::eof | ( |  | ) | const
| inline

## ◆ header()

template<typename TLocationHandler>

osmium::io::Header osmium::experimental::FlexReader< TLocationHandler >::header | ( |  | ) |
| inline

## ◆ read()

template<typename TLocationHandler>

osmium::memory::Buffer osmium::experimental::FlexReader< TLocationHandler >::read | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_assembler_config

template<typename TLocationHandler>

osmium::area::Assembler::config_type osmium::experimental::FlexReader< TLocationHandler >::m_assembler_config
| private

## ◆ m_collector

template<typename TLocationHandler>

osmium::area::MultipolygonCollector<osmium::area::Assembler> osmium::experimental::FlexReader< TLocationHandler >::m_collector
| private

## ◆ m_entities

template<typename TLocationHandler>

osmium::osm_entity_bits::type osmium::experimental::FlexReader< TLocationHandler >::m_entities
| private

## ◆ m_location_handler

template<typename TLocationHandler>

TLocationHandler& osmium::experimental::FlexReader< TLocationHandler >::m_location_handler
| private

## ◆ m_reader

template<typename TLocationHandler>

osmium::io::Reader osmium::experimental::FlexReader< TLocationHandler >::m_reader
| private

## ◆ m_with_areas

template<typename TLocationHandler>

bool osmium::experimental::FlexReader< TLocationHandler >::m_with_areas
| private

The documentation for this class was generated from the following file:

- include/osmium/experimental/flex_reader.hpp